package remotefileupload

import (
	"unsafe"
)

func NewFakeAzureParquetBlobWriter() (ParquetBlobWriter, error) {
	var data []interface{}
	return &FakeAzureParquetBlobWriter{
		data: data,
	}, nil
}

type FakeAzureParquetBlobWriter struct {
	data []interface{}
	size int64
}

func (w *FakeAzureParquetBlobWriter) Write(payload interface{}) error {
	w.size += int64(unsafe.Sizeof(payload))
	w.data = append(w.data, payload)
	return nil
}

func (w *FakeAzureParquetBlobWriter) Size() int64 {
	return w.size
}

func (w *FakeAzureParquetBlobWriter) Close() {
	return
}
